Autore Topic: Dubbio su SDK e versione Play Services  (Letto 506 volte)

Offline crc_error

  • Utente junior
  • **
  • Post: 85
  • Respect: +8
    • Mostra profilo
  • Dispositivo Android:
    LG-P500
  • Sistema operativo:
    Windows 8, Ubuntu 12
Dubbio su SDK e versione Play Services
« il: 22 Settembre 2013, 16:15:07 CEST »
0
Ciao a tutti,
ho dei dubbi a riguardo dell'sdk e dei play service...

SDK:
Attualmente ho installato gli Android SDK Build Tools nelle versioni 17 e 18.1, e non installata la versione 18.0.1
La mia configurazione è corretta? o devo disinstallare la vers. 17 e lasciare solo l'ultima (18.1)?

L'altro dobbio/domanda riguarda i play service.
Sto cercando di aggiungere il supporto in Android Studio. Nel Gradle.build devo aggiungere questa riga

Codice (Java): [Seleziona]
dependencies {
     ...
     compile 'com.google.android.gms:play-services:3.2.25'
     ...
}

Come faccio a sapere se quella versione (3.2.25) è l'ultima installata?

Nella cartella dei Google Service dell'SDK (android-studio\sdk\extras\google\google_play_services\libproject\google-play-services_lib) c'è un file AndroidManifest.xml

Codice (XML): [Seleziona]
<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
   package="com.google.android.gms"
   android:versionCode="3265130"
   android:versionName="3.2.65 (834000-30)" >

    <uses-sdk android:minSdkVersion="8"/>

</manifest>

L'ultima installata è la 3.2.65? se si perchè se lo imposto nel build gradle e compilo mi da errore:
Codice (Java): [Seleziona]
Gradle: A problem occurred configuring project ':MyProgetto'.
> Failed to notify project evaluation listener.
   > Could not resolve all dependencies for configuration ':MyProgetto:_DebugCompile'.
      > Could not find com.google.android.gms:play-services:3.2.65.
        Required by:
            MyProgettoProject:MyProgetto:unspecified

grazie mille in anticipo ;)